class Element {
    static var id = 0;
    var parent, clip;
    
    function Element(parent) {
        init(parent);
    }

    function init(parent) {
        this.parent = parent;
        id += 1;
        var depth = parent.clip.getNextHighestDepth();
        this.clip = parent.clip.createEmptyMovieClip('clip' + id, depth);
    }
    
    function addclip() {
        id += 1;
        var depth = clip.getNextHighestDepth();
        return clip.createEmptyMovieClip('clip' + id, depth);
    }
    
    function addtext(x, y, width, height) {
        id += 1;
        var depth = clip.getNextHighestDepth();
        clip.createTextField('text' + id, depth, x, y, width, height);
        clip['text' + id].enabled = false;
        clip['text' + id].mouseEnabled = false;
        return clip['text' + id];
    }
}
